Bug 5840 - Upgrade fails on machine with NTFS partition
Upgrade fails on machine with NTFS partition
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
Depends On:
  Show dependency treegraph
Reported: 1999-10-11 12:25 EDT by Paul Howarth
Modified: 2015-01-07 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-10-22 12:25:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 1999-10-11 12:25:28 EDT
I have just attempted to upgrade my work machine from RH6.0
to RH6.1. The install program crashes at the point where it
is trying to find the existing installation. It fails when
trying to check out partition /dev/sda6 which is an NTFS
partition. The root partition is actually on /dev/sda1.

I was not able to work around this bug by using expert mode
either, as the search for existing installations is still
done automatically.

The error message is:

  Error mounting ext2 filesystem on
  sda6: Invalid argument

The traceback is:

  File "/usr/bin/anaconda.real", line 225, in ?
    intf.run ( todo, test = test)
  File "/tmp/lib/python1.5/site-packages/text.py", line
1000, in run
    rc = apply (step[1](), step[2])
  File "/tmp/lib/python1.5/site-packages/text.py", line
222, in __call__
    parts = todo.upgradeFindRoot()
  File "/tmp/lib/python1.5/site-packages/todo.py", line
1130, in upgradeFindRoot
  File "/tmp/lib/python1.5/site-packages/isys.py", line 8,
in umount
    return _isys.umount(what)
  SystemError: (22, 'Invalid argument')
Comment 1 Bill Nottingham 1999-10-11 12:40:59 EDT
*** This bug has been marked as a duplicate of 5677 ***
Comment 2 Bill Nottingham 1999-10-22 12:25:59 EDT
*** This bug has been marked as a duplicate of 5567 ***

Note You need to log in before you can comment on or make changes to this bug.